
QGIS Application - Feature request #2592

There is no network progress indicator for WMS layer now.

2010-03-26 09:59 AM - jekhor -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12652

Description

Seems that network progress indicator in the status bar have been removed in recent versions of QGis. This is very annoying if you have

slow network connection.

Associated revisions

Revision e636bdd2 - 2010-03-27 12:57 AM - Jürgen Fischer

fix #2592

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13167 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c15058b9 - 2010-03-27 12:57 AM - Jürgen Fischer

fix #2592

git-svn-id: http://svn.osgeo.org/qgis/trunk@13167 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 281bae7e - 2010-06-08 10:06 PM - Jürgen Fischer

fix #2592

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13694 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 037831b9 - 2010-06-08 10:06 PM - Jürgen Fischer

fix #2592

git-svn-id: http://svn.osgeo.org/qgis/trunk@13694 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-26 10:19 AM - jekhor -

- Status changed from Open to Closed

- Resolution set to invalid

Seems that WMS support is entirely broken. So, I will check for indicator later.
#2 - 2010-03-26 10:34 AM - jekhor -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

No, there is no indicator every when WMS works :)

#3 - 2010-03-26 11:17 AM - Jürgen Fischer

That's also intentional.  WMS request are now handled asynchronously and therefore there can be multiple ongoing requests - showing progress of multiple

parallel requests in the status bar would probably be more annoying.

#4 - 2010-03-26 02:03 PM - jekhor -

Yes, but simple text 'There are N pending WMS requests' or similar will make me happy :)

#5 - 2010-03-26 04:58 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

well, progress indication readded in commit:c15058b9 (SVN r13168).

#6 - 2010-04-01 03:31 AM - Luca Casagrande

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Hello,

I can't see any message while waiting for a WMS layer, just a X of X byte downloaded when the data start to being downloaded. With big WMS layer or

WMS with some latency, this can considered like the layer is not working.

I think that should be nice to have a sort of "Wait for WMS answer.." each time there's a WMS request pending.

Thank you

Luca

#7 - 2010-06-08 01:06 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:037831b9 (SVN r13695).
